> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/data-storage.md).

# Data storage

This page is the technical reference for data storage on Nuvolos: activating tables in a Space, navigating the Tables view, running queries, uploading and accessing data from inside and outside Nuvolos, and the supporting tools (ODBC drivers, DBeaver, big-data exports).

Tabular data on Nuvolos is stored in the Scientific Data Warehouse (SDW), which uses Snowflake as the underlying database engine. For the conceptual model - why Nuvolos integrates a data warehouse, how dataset Spaces work, vintaging, and the two connection modes - see [Concepts › Data storage](/concepts/data-integration.md).

## Start working with data

Nuvolos differentiates two types of data:

1. Tabular data stored in some database management system
2. Data stored in regular files

This page describes working with *tabular data.* For working with files, consult [our guide](/reference/file-system-and-storage.md) to the file system.

{% hint style="info" %}
This documentation distinguishes tabular and file based data.

Tabular data refers to data stored in the Scientific Data Warehouse (SDW), a SQL compliant cloud-based data warehouse.

File based data means data that is stored on a regular file system. This guide focuses on database-stored datasets.
{% endhint %}

### Where to go next

* For Application reference (sizes, configuration, add-ons including PostgreSQL, MongoDB, Redis, Neo4j), see [Reference › Applications](/reference/applications.md).
* For storing files alongside tables (Workspace, Personal, LFS), see [Reference › File storage](/reference/file-system-and-storage.md).
* For the conceptual model of the data platform, dataset Spaces, and connection modes, see [Concepts › Data storage](/concepts/data-integration.md).
* For curating and publishing datasets, see [How-to › For Researchers › Set up a dataset](/how-to-guides/workflows-for-researchers/setting-up-a-dataset-on-nuvolos.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/data-storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
